import http from "@/http/HttpClient";
import type { User } from "@/types/api/user";

export interface LoginRequest extends Record<string, string> {
  email: string;
  password: string;
  remember: string;
}

export default class BussApi {
  static login(params: LoginRequest): Promise<{ token: string }> {
    return http
      .server()
      .post("/login", params)
      .then((res) => res.data);
  }

  static profile(token: string): Promise<User> {
    return http
      .server()
      .get("/user/online", {
        headers: {
          Authorization: `Bearer ${token}`,
        },
      })
      .then((res) => res.data);
  }
}
